SANLK-RESETD(8)

NAME
sanlk-resetd - host reset daemon

SYNOPSIS
sanlk-resetd [OPTIONS] lockspace_name ...

DESCRIPTION

The sanlk-resetd daemon gets events from specified sanlock lockspaces. Events are defined to cause sanlk-resetd to:
- use wdmd/watchdog to reset the host
- use /proc/sysrq-trigger to reboot the host

The sanlk-reset program can be run on another host to request that sanlk-resetd reset the host it is running on. Both hosts must be operational and have continued access to a common lockspace for the reset request to succeed. After setting the event, the sanlk-reset program monitors the host status in the sanlock lockspace until the target host is dead.

The sanlk-reset program can also be run on the same host as sanlk-resetd to update which lockspaces the local sanlk-resetd is watching for events.

OPTIONS

--version, -V
    Print version.

--help, -h
    Print usage.

--foreground, -f
    Don't fork.

--daemon-debug, -D
    Enable debugging to stderr and don't fork.

--sysrq-reboot, -b 0|1
    Enable/Disable (1/0) use of /proc/sysrq-trigger to reboot.

--sysrq-delay, -d sec
    Delay this many seconds before using /proc/sysrq-trigger.

--resource-mode, -R 0|1
    Resource leases are used (1) or not used (0) to protect storage.

SEE ALSO
sanlk-reset(8) sanlock(8) wdmd(8)